Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
minimserver error after migration to the new QNAP
15-07-2018, 10:28
Post: #1
minimserver error after migration to the new QNAP
Hello,
Just completed migration process from my old (TS 219P+) QNAP to the new one (TVS 473e) and noticed the following error message:
Type Date Time Users Source IP Computer name Content

Type Date Time Users Source IP Computer name Content
Error 2018/07/15 06:56:52 System 127.0.0.1 localhost MinimServer start error: /share/MD1_DATA/.qpkg/MinimServer/minimserver.sh: line 135: /usr/local/jre/bin/java: cannot execute binary file

According to QNAP helpdesk advise the migration has been done just by launching brand new TVS 473e with old hdd inside (hdd removed from the old QNAP), adding brand new WD Red and migrating to RAID 1. Thus the whole system & apps configuration was transferred to the new NAS without any problems with the only exclusion: minimserver (...and TWONKY - but this is due to the incompatibility with the newest QTS version).

Please advise hot to fix the problem.
Kind regards,
Wlodzimierz Iskra
Find all posts by this user
Quote this message in a reply
15-07-2018, 11:39
Post: #2
RE: minimserver error after migration to the new QNAP
(15-07-2018 10:28)Spark58 Wrote:  Hello,
Just completed migration process from my old (TS 219P+) QNAP to the new one (TVS 473e) and noticed the following error message:
Type Date Time Users Source IP Computer name Content

Type Date Time Users Source IP Computer name Content
Error 2018/07/15 06:56:52 System 127.0.0.1 localhost MinimServer start error: /share/MD1_DATA/.qpkg/MinimServer/minimserver.sh: line 135: /usr/local/jre/bin/java: cannot execute binary file

According to QNAP helpdesk advise the migration has been done just by launching brand new TVS 473e with old hdd inside (hdd removed from the old QNAP), adding brand new WD Red and migrating to RAID 1. Thus the whole system & apps configuration was transferred to the new NAS without any problems with the only exclusion: minimserver (...and TWONKY - but this is due to the incompatibility with the newest QTS version).

Please advise hot to fix the problem.
Kind regards,
Wlodzimierz Iskra
If I understand correctly you did not do a new install of MinimServer.
If so, the problem might be that you are trying to use a version written for an ARM processor(TS219) for an AMD based processor (TVS473).
Find all posts by this user
Quote this message in a reply
15-07-2018, 12:51
Post: #3
RE: minimserver error after migration to the new QNAP
(15-07-2018 11:39)Peter StreamMagic Wrote:  
(15-07-2018 10:28)Spark58 Wrote:  Hello,
Just completed migration process from my old (TS 219P+) QNAP to the new one (TVS 473e) and noticed the following error message:
Type Date Time Users Source IP Computer name Content

Type Date Time Users Source IP Computer name Content
Error 2018/07/15 06:56:52 System 127.0.0.1 localhost MinimServer start error: /share/MD1_DATA/.qpkg/MinimServer/minimserver.sh: line 135: /usr/local/jre/bin/java: cannot execute binary file

According to QNAP helpdesk advise the migration has been done just by launching brand new TVS 473e with old hdd inside (hdd removed from the old QNAP), adding brand new WD Red and migrating to RAID 1. Thus the whole system & apps configuration was transferred to the new NAS without any problems with the only exclusion: minimserver (...and TWONKY - but this is due to the incompatibility with the newest QTS version).

Please advise hot to fix the problem.
Kind regards,
Wlodzimierz Iskra
If I understand correctly you did not do a new install of MinimServer.
If so, the problem might be that you are trying to use a version written for an ARM processor(TS219) for an AMD based processor (TVS473).

Oh, I see. So I should simply install Minimserver right from App Center at the TVS 473e ?
Should I first remove the old Minimserver and the launch the instalation?
But what about preserving all the current minimserver setup options - is there any way to copy / keep the current setup at the newly installed version ?
Find all posts by this user
Quote this message in a reply
15-07-2018, 17:21
Post: #4
RE: minimserver error after migration to the new QNAP
The error you are seeing is caused by an incompatible version of Java (ARMv5 instead of Intel). To fix this, you can uninstall and reinstall Java.

When you have done this, you will get another error caused by an incompatible version of MinimServer (ARMv5 instead of Intel). DO NOT uninstall the old version of MinimServer as this will cause you to lose your configuration settings. Instead, download the QNAP Intel version of MinimServer from the Downloads page and do a manual install of the downloaded .qpkg file using the QNAP QTS App Center.
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)